#
# spec file for package audacious
#

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           audacious
Version:        3.3.4
Release:        1.1
License:        GPL-2.0
Summary:        Lightweight Audio Player forked off beep-media-player
Url:            http://audacious-media-player.org/
Group:          Productivity/Multimedia/Sound/Players
Source0:        http://distfiles.atheme.org/%{name}-%{version}.tar.bz2
Requires:       mcs
Recommends:     %{name}-lang
Recommends:     %{name}-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig(libguess)
BuildRequires:  pkgconfig(libmcs)
BuildRequires:  pkgconfig(libmowgli)
BuildRequires:  pkgconfig(gtk+-3.0)
%if 0%{?suse_version} > 1140
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
%endif
BuildRequires:  fdupes

%description
Audacious is a lightweight audio player application.
It is a fork of beep-media-player 0.9.7.1.

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libaudclient2 = %{version}
Requires:       libaudcore1 = %{version}
Requires:       libaudgui1 = %{version}
Requires:       libaudtag1 = %{version}
Requires:       pkgconfig(libguess)
Requires:       pkgconfig(libmcs)
Requires:       pkgconfig(libmowgli)
Requires:       pkgconfig(samplerate)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(gtk+-2.0)
%if 0%{?suse_version} < 1110
Requires:       pkgconfig(dbus-1)
Requires:       pkgconfig(dbus-glib-1)
%endif

%description devel
This package contains the files needed to compile programs that use the
%{name} library.

%package -n libaudclient2
Summary:        Audacious Runtime Libraries
Group:          System/Libraries

%description -n libaudclient2
This package contains shared libraries required by %{name} at runtime:
libaudclient2

%package -n libaudcore1
Summary:        Audacious Runtime Libraries
Group:          System/Libraries

%description -n libaudcore1
This package contains shared libraries required by %{name} at runtime:
libaudcore

%package -n libaudgui1
Summary:        Audacious Runtime Libraries
Group:          System/Libraries

%description -n libaudgui1
This package contains shared libraries required by %{name} at runtime:
libaudgui

%package -n libaudtag1
Summary:        Audacious Runtime Libraries
Group:          System/Libraries

%description -n libaudtag1
This package contains shared libraries required by %{name} at runtime:
libaudtag

%package xchat-plugin
Summary:        Audacious Xchat2 plugin
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name}
Requires:       python
Requires:       xchat

%description xchat-plugin
Xchat2 Plugin for %{name}.

%lang_package
%prep
%setup -q
sed "/DATA = AUTHORS COPYING/d" -i Makefile

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"

%configure \
    --enable-chardet \
    --disable-rpath \
    --enable-debug

make %{?smp_mflags}

%install
%makeinstall

%if 0%{?suse_version} < 1130
rm -rf "%{buildroot}%{_datadir}/locale/sr@Latn/LC_MESSAGES"
%endif

%suse_update_desktop_file -r %{name} AudioVideo Player
%fdupes %{buildroot}

# install xchat-plugin
install -d -m755 %{buildroot}/%{_libdir}/xchat/plugins
install -m755 contrib/xchat-audacious.py %{buildroot}/%{_libdir}/xchat/plugins/xchat-audacious.py

for d in Container Effect General Input Output Transport Visualization; do
    install -d "%{buildroot}%{_libdir}/audacious/${d}"
done

%find_lang audacious
perl -i -ne 'print $_ unless m|%{_datadir}/locale/[^/]+(/LC_MESSAGES)?$|' audacious.lang

%post -n libaudclient2 -p /sbin/ldconfig
%postun -n libaudclient2 -p /sbin/ldconfig

%post -n libaudcore1 -p /sbin/ldconfig
%postun -n libaudcore1 -p /sbin/ldconfig

%post -n libaudgui1 -p /sbin/ldconfig
%postun -n libaudgui1 -p /sbin/ldconfig

%post -n libaudtag1 -p /sbin/ldconfig
%postun -n libaudtag1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/audacious
%{_bindir}/audtool
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/images/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%dir %{_libdir}/audacious/Effect
%dir %{_libdir}/audacious/General
%dir %{_libdir}/audacious/Input
%dir %{_libdir}/audacious/Output
%dir %{_libdir}/audacious/Transport
%dir %{_libdir}/audacious/Visualization
%doc %{_mandir}/man1/audacious.1*
%doc %{_mandir}/man1/audtool.1*

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n libaudclient2
%defattr(-,root,root)
%{_libdir}/libaudclient.so.2
%{_libdir}/libaudclient.so.2.*

%files -n libaudcore1
%defattr(-,root,root)
%{_libdir}/libaudcore.so.1
%{_libdir}/libaudcore.so.1.*

%files -n libaudgui1
%defattr(-,root,root)
%{_libdir}/libaudgui.so.1
%{_libdir}/libaudgui.so.1.*

%files -n libaudtag1
%defattr(-,root,root)
%{_libdir}/libaudtag.so.1
%{_libdir}/libaudtag.so.1.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/audacious
%{_includedir}/audacious/*.h
%dir %{_includedir}/libaudcore
%{_includedir}/libaudcore/*.h
%dir %{_includedir}/libaudgui
%{_includedir}/libaudgui/*.h
%{_libdir}/pkgconfig/audacious.pc
%{_libdir}/pkgconfig/audclient.pc
%{_libdir}/libaudclient.so
%{_libdir}/libaudcore.so
%{_libdir}/libaudgui.so
%{_libdir}/libaudtag.so

%files xchat-plugin
%defattr(-,root,root)
%dir %{_libdir}/xchat
%dir %{_libdir}/xchat/plugins
%{_libdir}/xchat/plugins/xchat-audacious.py

%changelog
* Fri Mar 29 2013 fisiu@opensuse.org
- Update to 3.3.4:
  * Ported from gtk2 to gtk3
  * Save current track position
  * Improved search feature
  * Many bug fixes
* Sun Aug 19 2012 seife+obs@b1-systems.com
- update to current version 3.2.4
- removed no longer necessary -lgmodule-2.0 hack
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build on > 12.1 by adding -lgmodule-2.0 to LIBS
* Fri Dec  9 2011 detlef@links2linux.de
- new upstream version <3.1.1>
* Sun Nov 20 2011 pascal.bleser@opensuse.org
- update to 3.1
* Sun Nov  6 2011 detlef@links2linux.de
- new upstream version <3.0.3>
* Sun Aug 28 2011 detlef@links2linux.de
- new upstream version <3.0.2>
* Sat Aug 13 2011 detlef@links2linux.de
- new upstream version <3.0.1>
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <2.5.3>
* Thu Jun 23 2011 detlef@links2linux.de
- new upstream version <2.5.2>
* Sat May 21 2011 detlef@links2linux.de
- new upstream version <2.5.1>
* Sun Apr 17 2011 detlef@links2linux.de
- new upstream version <2.5.0>
* Wed Feb 23 2011 detlef@links2linux.de
- new upstream version <2.4.4>
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <2.4.3>
* Wed Dec  8 2010 detlef@links2linux.de
- new upstream version <2.4.2>
* Fri Aug 27 2010 detlef@links2linux.de
- enable libguess support
* Wed Aug 25 2010 detlef@links2linux.de
- new upstream version <2.4-rc3>
* Fri Apr  9 2010 detlef@links2linux.de
- new upstream version <2.3>
* Wed Nov 25 2009 detlef@links2linux.de
- new upstream version <2.2>
* Wed Jul  8 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.1>
* Fri Jun  5 2009 Manfred.Tremmel@iiv.de
- new upstream version <2.0.1>
* Tue Jul 22 2008 guru@unixtech.be
- added InitialPreference to action_audacious.desktop as it is associated
  with directories, in order to avoid it being the default action on
  directories
- added patch to fix specifying files on the command-line when audacious
  isn't already running: http://bugzilla.atheme.org/show_bug.cgi?id=48
* Sun Jul 20 2008 detlef@links2linux.de
- require audacious-plugins instead of audacious-plugins-option
  package managers are stupid ;)
* Thu Jul 10 2008 guru@unixtech.be
- require audacious-plugins-option instead of audacious-plugins
* Sun Jul  6 2008 guru@unixtech.be
- split shared libraries into its own -libs subpackage to avoid the chicken/egg
  problem when building audacious and audacious-plugins (as they both require
  each other), with audacious now requiring audacious-libs
- minor spec file cleanups
- added Provides for shlibs, openSUSE Shared Library Policy compliant
- more explicit filenames in files sections
- better Summary
- added glib backport patch to build on openSUSE 10.2
* Mon May 26 2008 detlef@links2linux.de
- new upstream version <1.5.1>
* Tue Apr 22 2008 detlef@links2linux.de
- fix Requires for devel
* Sun Mar 30 2008 detlef@links2linux.de
- disable ss2 for ix86, some old cpus doesn't support sse2
* Sat Mar 15 2008 detlef@links2linux.de
- new upstream version <1.5.0>
* Mon Feb 18 2008 detlef@links2linux.de
- rebuild with new libmcs-0.7
* Fri Feb  1 2008 detlef@links2linux.de
- new upstream version <1.4.6>
* Sat Dec 29 2007 detlef@links2linux.de
- new upstream version <1.4.5>
* Sat Dec 22 2007 detlef@links2linux.de
- rebuild for new libmcs and libmowgli
* Sat Dec  8 2007 detlef@links2linux.de
- add servicemenu for konqueror and dolphin
* Mon Dec  3 2007 detlef@links2linux.de
- new upstream version <1.4.4>
* Sat Dec  1 2007 detlef@links2linux.de
- new upstream version <1.4.3>
* Mon Nov 19 2007 detlef@links2linux.de
- new upstream release <1.4.1>
* Tue Nov  6 2007 detlef@links2linux.de
- new upstream release <1.4.0>
* Mon Nov  5 2007 detlef@links2linux.de
- switch to 1.4 on PackMan
- Audacious 1.4 is now complete, and is now recommended over 1.3
* Fri Nov  2 2007 detlef@links2linux.de
- new upstream release <1.4.0-rc1>
* Mon Oct 29 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta4>
* Fri Oct 19 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta2>
* Mon Oct 15 2007 detlef@links2linux.de
- new upstream release <1.4.0-beta1>
* Thu Sep 20 2007 detlef@links2linux.de
- add xchat-plugin
* Thu Sep 13 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr4>
* Sun Sep  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr3>
* Thu Aug  9 2007 detlef@links2linux.de
- new upstream release <1.4.0-dr2>
- fix BuildRequires -> add dbus-support
* Mon Jul 23 2007 detlef@links2linux.de
- initial build <1.4.0-dr1>
